# Docker Nextcloud mit Mariadb und fpm

Anleitung: https://github.com/nextcloud/docker

## Anwendung bedienen
Nextcloud starten
```
cd /path/to/deploy/folder
docker-compose up -d
```
Nextcloud stoppen
```
docker-compose down
```
Nextcloud aktualisieren
```
docker-compose down
docker-compose pull
docker-compose up -d
```

## Datenbank
MySQL import
```
docker exec -i nextcloud-db mysql -uroot -pnextcloud nextcloud < SQLFILE.sql
```
MySQL Dump
```
mysqldump -u root -pnextcloud nextcloud > SQLFILE.sql
```